## libvirt 1.3.1

=== debian/changelog ===
libvirt (1.3.1-1ubuntu10.31) xenial; urgency=medium

  * d/p/lp1915811-fix-numa-topology.patch: Fix NUMA topology population for
    machines with a high number of CPUs (LP: #1915811)

 -- Victor Manuel Tapia King <victor.tapia@canonical.com>  Mon, 22 Feb 2021 13:44:48 +0100

libvirt (1.3.1-1ubuntu10.30) xenial; urgency=medium

  * d/p/lp-1844455-node_device_conf-Don-t-leak-physical_function.patch:
    fix memory-leak from PCI-related structure. (LP: #1844455)
  * d/p/lp-1864918-Fix-TLS-test-suites-with-gnutls-3.6.0.patch: fix failing TLS
    tests due to recent-introduced SHA1 restriction in gnutls. (LP: #1864918)

 -- Guilherme G. Piccoli <gpiccoli@canonical.com>  Wed, 26 Feb 2020 13:23:18 -0300

libvirt (1.3.1-1ubuntu10.29) xenial; urgency=medium

  * debian/patches/lp1681839-*.patch: Fix block commit timeout
    races, and ensure that once commit has reached 100%, timeouts
    no longer apply. (LP: #1681839)

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Thu, 31 Oct 2019 10:52:41 +1300

libvirt (1.3.1-1ubuntu10.28) xenial; urgency=medium

  [ Matthew Ruffell ]
  * debian/libvirt-bin.upstart: update pre-stop section in upstart
    script to stop the libvirt-guests service instead of the now
    removed libvirt-stop-guests script. (LP: #1829823)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 28 May 2019 08:23:25 +0200

libvirt (1.3.1-1ubuntu10.27) xenial-security; urgency=medium

  * SECURITY UPDATE: virDomainSaveImageGetXMLDesc does not check for
    read-only connection
    - debian/patches/CVE-2019-10161.patch: add check to
      src/libvirt-domain.c, src/qemu/qemu_driver.c,
      src/remote/remote_protocol.x.
    - CVE-2019-10161
  * SECURITY UPDATE: virConnectGetDomainCapabilities does not check for
    read-only connection
    - debian/patches/CVE-2019-10167.patch: add check to
      src/libvirt-domain.c.
    - CVE-2019-10167

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 02 Jul 2019 09:22:37 -0400

libvirt (1.3.1-1ubuntu10.26) xenial-security; urgency=medium

  * SECURITY UPDATE: Add support for md-clear functionality
    - debian/patches/md-clear.patch: Define md-clear CPUID bit in
      src/cpu/cpu_map.xml.
    - CVE-2018-12126, CVE-2018-12127, CVE-2018-12130, CVE-2019-11091

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 14 May 2019 15:13:18 -0400

libvirt (1.3.1-1ubuntu10.25) xenial-security; urgency=medium

  * SECURITY UPDATE: NULL pointer dereference in qemuAgentGetInterfaces
    - debian/patches/CVE-2019-3840.patch: require a reply in
      src/qemu/qemu_agent.c.
    - CVE-2019-3840

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 Mar 2019 08:10:12 -0400

libvirt (1.3.1-1ubuntu10.24) xenial-security; urgency=medium

  * SECURITY UPDATE: QEMU monitor DoS
    - debian/patches/CVE-2018-1064.patch: add size limit to
      src/qemu/qemu_agent.c.
    - CVE-2018-1064
  * SECURITY UPDATE: Speculative Store Bypass
    - debian/patches/CVE-2018-3639-1.patch: define the 'ssbd' CPUID feature
      bit in src/cpu/cpu_map.xml.
    - debian/patches/CVE-2018-3639-2.patch: define the 'virt-ssbd' CPUID
      feature bit in src/cpu/cpu_map.xml.
    - CVE-2018-3639

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 May 2018 13:29:29 -0400

libvirt (1.3.1-1ubuntu10.23) xenial; urgency=medium

  * Fix nwfilters that set CTRL_IP_LEARNING set to dhcp failing with "An error
    occurred, but the cause is unknown" due to a buffer being too small
    for pcap with TPACKET_V3 enabled (LP: #1758037)
    - debian/patches/ubuntu/lp-1758037-nwfilter-increase-pcap-buffer-size.patch

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 11 May 2018 07:37:36 +0200

libvirt (1.3.1-1ubuntu10.22) xenial; urgency=medium

  * Fix clean shut down of guests on system shutdown (LP: #1764668)
    - d/p/ubuntu/lp-1764668-do-not-report-unknown-guests.patch
    - d/p/ubuntu/lp-1764668-fix-check_guests_shutdown-loop.patch

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 25 Apr 2018 09:26:12 +0200

libvirt (1.3.1-1ubuntu10.21) xenial; urgency=medium

  * d/p/ubuntu/lp1688508-fix-variable-scope-in-in-check_guests_shutdown.patch:
    backport further upstream fixes that were identified on verification.
    Together with the former change this fixes (LP: #1688508)
  * d/p/ubuntu/lp1753604-nwfilter-fix-lock-order-deadlock.patch:
    fix intermittent deadlock in NWFilter handling (LP: #1753604)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 04 Apr 2018 10:46:12 +0200

libvirt (1.3.1-1ubuntu10.20) xenial; urgency=medium

  * d/p/ubuntu/lp1688508-tools-avoid-text-spilling-into-variables.patch:
    avoid hanging on shutdown (LP: #1688508)

 -- Dariusz Gadomski <dariusz.gadomski@canonical.com>  Mon, 26 Feb 2018 14:37:40 +0100

libvirt (1.3.1-1ubuntu10.19) xenial-security; urgency=medium

  [ Leonidas S. Barbosa ]
  * SECURITY UPDATE: resource exhaustion resulting in DoS
    - debian/patches/CVE-2018-5748.patch: avoid DoS reading from
      QEMU monitor in src/qemu/qemu_monitor.c.
    - CVE-2018-5748
  * SECURITY UPDATE: Bypass authentication
    - debian/patches/CVE-2016-5008.patch: let empty default VNC
      password work as documented in src/qemu/qemu_hotplug.c.
    - CVE-2016-5008

  [ Marc Deslauriers ]
  * SECURITY UPDATE: code injection via libnss_dns.so
    - debian/patches/CVE-2018-6764-1.patch: determine the hostname on
      startup in src/util/virlog.c.
    - debian/patches/CVE-2018-6764-2.patch: fix syntax-check in
      src/util/virlog.c.
    - debian/patches/CVE-2018-6764-3.patch: fix deadlock obtaining hostname
      in cfg.mk, src/util/virlog.c.
    - CVE-2018-6764

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 16 Feb 2018 07:51:15 -0500

libvirt (1.3.1-1ubuntu10.18) xenial; urgency=medium

  * virsh api is stuck when vm is down with NFS borken (LP: #1746630)
    - d/p/0001-qemu-driver-Remove-unnecessary-flag-in-qemuDomainGet.patch

