=== debian/control ===
Source: libvirt
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Uploaders: Guido Günther <agx@sigxcpu.org>, Laurent Léonard <laurent@open-minds.org>
Testsuite: autopkgtest
Build-Depends:
 debhelper (>= 8.9.7~),
 dh-autoreconf,
 dh-systemd (>= 1.18~),
 dh-apparmor [linux-any],
 libxml2-dev (>= 2.9.2+really2.9.1+dfsg1-0.2),
 libcurl4-gnutls-dev,
 libncurses5-dev,
 libreadline-dev,
 zlib1g-dev,
 libgcrypt20-dev,
 libgnutls28-dev,
 libavahi-client-dev,
 libsasl2-dev,
 libxen-dev (>= 4.3) [i386 amd64 armhf arm64],
 lvm2 [linux-any],
 open-iscsi [linux-any],
 libxml-libxml-perl,
 libparted0-dev (>= 2.2),
 parted (>= 2.2),
 libdevmapper-dev [linux-any],
 uuid-dev,
 libudev-dev [linux-any],
 libpciaccess-dev,
 kmod [linux-any],
 policykit-1 (>= 0.105-4~),
 libpolkit-gobject-1-dev,
 libcap-ng-dev [linux-any],
 libnl-3-dev [linux-any],
 libnl-route-3-dev [linux-any],
 libyajl-dev,
 libpcap0.8-dev,
 libnuma-dev [amd64 arm64 i386 ia64 mips mipsel powerpc ppc64el],
 radvd [linux-any],
 libnetcf-dev (>= 1:0.2.3-3~) [linux-any],
 libaudit-dev [linux-any],
 libapparmor-dev [linux-any],
 libsystemd-dev [linux-any],
 nfs-common,
 xsltproc,
 librbd-dev [linux-any],
 zfsutils-linux [amd64 arm64 ppc64el],
# For "make check"
 dwarves,
 libxml2-utils,
 dnsmasq-base,
 openssh-client,
 netcat-openbsd,
 ebtables [linux-any],
 iptables [linux-any],
 qemu-utils [linux-any],
 libcgmanager-dev,
Build-Conflicts: dpkg-dev (= 1.15.3)
XS-Debian-Vcs-Git: git://anonscm.debian.org/pkg-libvirt/libvirt.git
XS-Debian-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-libvirt/libvirt.git/
Vcs-Git: git://git.launchpad.net/~libvirt-maintainers/ubuntu/+source/libvirt
Vcs-Browser: https://git.launchpad.net/~libvirt-maintainers/ubuntu/+source/libvirt
Homepage: http://libvirt.org
Standards-Version: 3.9.6

Package: libvirt-bin
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 adduser,
 bridge-utils,
 cgmanager | cgroup-lite | cgroup-bin,
 dnsmasq-base (>= 2.46-1),
 dbus,
 ebtables,
 gettext-base,
 iptables (>= 1.4.10),
 libvirt0 (= ${binary:Version}),
 logrotate,
 netcat-openbsd
Enhances: qemu, qemu-kvm, xen
Section: admin
Provides: libvirt-daemon, libvirt-daemon-system
Recommends:
 libxml2-utils,
 gawk,
 dmidecode,
 parted,
 pm-utils,
Suggests:
 policykit-1 (>= 0.105-4~),
 apparmor (>= 2.8.96~2541-0ubuntu4~),
 qemu-kvm | qemu (>= 0.9.1),
 radvd,
Breaks:
 xen-utils-4.1 (>= 4.1.2-2ubuntu2),
 xen-utils-4.4 (>= 4.4.0-0ubuntu5),
 xen-utils-4.5 (>= 4.5.0-1ubuntu4),
 qemu-kvm (<< 1:2.5+dfsg-5ubuntu10.20~),
 qemu (<< 1:2.5+dfsg-5ubuntu10.20~)
Conflicts: ${dist:Conflicts}
Description: programs for the libvirt library
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the supporting binaries to use with libvirt

Package: libvirt0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: lvm2 [linux-any]
Description: library for interfacing with different virtualization systems
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.

Package: libvirt0-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libvirt0 (= ${binary:Version})
Priority: extra
Section: debug
Description: library for interfacing with different virtualization systems - debugging symbols
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the debugging symbols.

Package: libvirt-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Description: documentation for the libvirt library
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the documentation.

Package: libvirt-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: ${misc:Depends}, libvirt0 (= ${binary:Version}), libxen-dev [i386 amd64 armhf arm64]
Replaces: libvirt-bin (<< 1.2.0~)
Recommends: pkg-config
Description: development files for the libvirt library
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the header files and static libraries which are
 needed for developing the applications with libvirt.
