=== debian/rules ===
#!/usr/bin/make -f

DEB_RELEASE=$(shell dpkg-parsechangelog -SVersion | sed 's/[^-]\+-//')
DEB_BUILDDATE=$(shell dpkg-parsechangelog -SDate)
DEB_BUILDUSER=$(shell dpkg-parsechangelog -SMaintainer)

DEB_AUTO_UPDATE_AUTOCONF := 2.69
DEB_AUTO_UPDATE_AUTOHEADER := 2.69

ifneq (,$(findstring $(DEB_HOST_ARCH_OS), linux))
  ifneq (,$(findstring $(DEB_HOST_ARCH), i386 amd64))
    WITH_VBOX         = --with-vbox
    MAKE_CHECK        = 1
  else
    WITH_VBOX         = --without-vbox
  endif
  ifneq (,$(findstring $(DEB_HOST_ARCH), i386 amd64 armhf arm64))
    WITH_XEN          = --with-xen
    WITH_LIBXL        = --with-libxl
    XEN_ENABLED       = 1
  else
    WITH_XEN          = --without-xen
    WITH_LIBXL        = --without-libxl
  endif
  WITH_STORAGE_LVM    = --with-storage-lvm
  WITH_STORAGE_ISCSI  = --with-storage-iscsi
  WITH_STORAGE_DISK   =	--with-storage-disk
  WITH_STORAGE_SHEEPDOG = --with-storage-sheepdog
  WITH_STORAGE_RBD    = --with-storage-rbd
  WITH_UDEV           = --with-udev --without-hal
  ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 ppc64el))
    WITH_ZFS          = --with-storage-zfs
  else
    WITH_ZFS          = --without-storage-zfs
  endif
  WITH_CAPNG          = --with-capng
  WITH_POLKIT         = --with-polkit
  WITH_MACVTAP        = --with-macvtap
  WITH_NETWORK        = --with-network
  WITH_QEMU           = --with-qemu
  WITH_OPENVZ         = --with-openvz
  WITH_NETCF          = --with-netcf
  WITH_SANLOCK        = --with-sanlock
  WITH_INIT_SCRIPT    =	--with-init-script=systemd
  WITH_SYSTEMD        = --with-systemd-daemon
  WITH_FIREWALLD      = --without-firewalld
  WITH_AUDIT          = --with-audit
  WITH_SELINUX        = --without-selinux
  WITH_APPARMOR       = --with-apparmor --with-secdriver-apparmor
  ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 armel armhf i386 ia64 powerpc s390))
      WITH_DTRACE     = --without-dtrace
  else
      WITH_DTRACE     = --without-dtrace
  endif
  ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 i386 ia64 mips mipsel powerpc ppc64el))
      WITH_NUMA       = --with-numactl
  else
      WITH_NUMA       = --without-numactl
  endif
  ifneq (,$(findstring $(DEB_HOST_ARCH), ia64))
      WITH_LXC        = --without-lxc
  else
      WITH_LXC        = --with-lxc
  endif
else
  WITH_STORAGE_LVM    = --without-storage-lvm
  WITH_STORAGE_ISCSI  = --without-storage-iscsi
  WITH_STORAGE_DISK   =	--without-storage-disk
  WITH_STORAGE_SHEEPDOG = --without-storage-sheepdog
  WITH_STORAGE_RBD    = --without-storage-rbd
  WITH_UDEV           = --without-udev --with-hal
  WITH_CAPNG          = --without-capng
  WITH_POLKIT         = --without-polkit
  WITH_MACVTAP        = --without-macvtap
  WITH_NETWORK        = --without-network
  WITH_QEMU           = --without-qemu
  WITH_LXC            = --without-lxc
  WITH_NUMA           = --without-numactl
  WITH_NETCF          = --without-netcf
  WITH_INIT_SCRIPT    =	--with-init-script=none
  WITH_SYSTEMD        = --without-systemd-daemon
  WITH_FIREWALLD      = --without-firewalld
  WITH_AUDIT          = --without-audit
  WITH_SELINUX        = --without-selinux
  WITH_APPARMOR       = --without-apparmor
  WITH_DTRACE         = --without-dtrace
  WITH_XEN            = --without-xen
  WITH_LIBXL          = --without-libxl
  WITH_VBOX           = --without-vbox
endif

DEB_CONFIGURE_EXTRA_ARGS :=      \
	--with-packager="$(DEB_BUILDUSER) $(DEB_BUILDDATE)" \
	--with-packager-version="$(DEB_RELEASE)" \
	--with-default-editor="sensible-editor" \
	--disable-silent-rules   \
	--disable-rpath          \
	$(WITH_QEMU)		 \
	--with-qemu-user=libvirt-qemu  \
	--with-qemu-group=kvm \
	$(WITH_OPENVZ)		 \
	--with-avahi             \
	--with-sasl              \
	--with-yajl              \
	--without-ssh2	         \
	$(WITH_POLKIT)		 \
	$(WITH_UDEV)		 \
	--with-storage-fs        \
	$(WITH_ZFS)		 \
	$(WITH_STORAGE_LVM)	 \
	$(WITH_STORAGE_ISCSI)	 \
	$(WITH_STORAGE_DISK)	 \
	$(WITH_STORAGE_SHEEPDOG) \
	$(WITH_STORAGE_RBD)      \
	$(WITH_INIT_SCRIPT)      \
	$(WITH_NUMA)             \
	$(WITH_SELINUX)          \
	$(WITH_APPARMOR)         \
	--with-esx		 \
	$(WITH_CAPNG)		 \
	--enable-debug		 \
	$(WITH_MACVTAP)		 \
	$(WITH_NETWORK)		 \
	$(WITH_NETCF)		 \
	$(WITH_XEN)		 \
	$(WITH_LIBXL)		 \
	$(WITH_VBOX)		 \
	$(WITH_LXC)              \
	$(WITH_DTRACE)           \
	$(WITH_AUDIT)            \
	$(WITH_FIREWALLD)        \
	--without-attr

DEB_BUILDDIR := $(CURDIR)/debian/build
LOGROTATE = $(basename $(basename $(notdir $(wildcard daemon/libvirtd*.logrotate.in))))
EXAMPLES_DIR = $(CURDIR)/debian/libvirt-doc/usr/share/doc/libvirt-doc/examples/

DEB_COMPRESS_EXCLUDE = .o event-test hellolibvirt info1 suspend
DEB_PYTHON_SETUP_CMD = /dev/null

# If we are building on/for a newer release, then we will
# (in override_dh_install-arch) keep more of the newer rules and therefore
# require a newer apparmor.
# We check versions in increasing order so we end up with the strictest
# applicable requirement.
APPARMOR_REQ = -V'dist:Conflicts='
ifeq ($(shell dpkg --compare-versions "$(shell grep DISTRIB_RELEASE /etc/lsb-release | cut -d= -f2)" ge "14.04" && echo "yes"),yes)
	APPARMOR_REQ = -V'dist:Conflicts=apparmor (<< 2.8.95~2430-0ubuntu4)'
endif
ifeq ($(shell dpkg --compare-versions "$(shell grep DISTRIB_RELEASE /etc/lsb-release | cut -d= -f2)" ge "14.10" && echo "yes"),yes)
	APPARMOR_REQ = -V'dist:Conflicts=apparmor (<< 2.8.96~2652-0ubuntu1)'
endif


%:
	dh $@ --builddirectory=$(DEB_BUILDDIR) --parallel --with autoreconf

override_dh_auto_configure:
	SHEEPDOGCLI="/usr/sbin/collie" \
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_ARGS)
	mkdir -p debian/build/docs/internals

override_dh_auto_test:
	export LD_PRELOAD="";     \
	export VIR_TEST_DEBUG=1;  \
	[ -n "$(MAKE_CHECK)" ] || exit 0; \
	if ! dh_auto_test -O--builddirectory=$(DEB_BUILDDIR); then \
	    cat ./debian/build/gnulib/tests/test-suite.log \
	        ./debian/build/tests/test-suite.log; \
	    exit 1; \
	fi

override_dh_install-arch:
	# Add empty dir so dh_install doesn't fail on kFreebsd until we
	# have Polkit support
	mkdir -p debian/tmp/usr/share/polkit-1
	mkdir -p debian/tmp/etc/apparmor.d/abstractions \
	         debian/tmp/etc/apparmor.d/libvirt \
	         debian/tmp/etc/apparmor.d/local
	cp -f debian/apparmor/libvirt-qemu \
	      debian/tmp/etc/apparmor.d/abstractions
	cp -f debian/apparmor/libvirt-lxc debian/tmp/etc/apparmor.d/abstractions
	cp -f debian/apparmor/usr.lib.libvirt.virt-aa-helper \
	      debian/tmp/etc/apparmor.d
	cp -f debian/apparmor/usr.sbin.libvirtd debian/tmp/etc/apparmor.d
	cp -f debian/apparmor/local-usr.sbin.libvirtd \
	      debian/tmp/etc/apparmor.d/local/usr.sbin.libvirtd
	cp -f debian/apparmor/TEMPLATE* debian/tmp/etc/apparmor.d/libvirt
	mkdir -p debian/tmp/usr/share/apport/package-hooks
	cp -f debian/libvirt-bin.apport \
	      debian/tmp/usr/share/apport/package-hooks/source_libvirt.py
	# update apparmor rules based on target release
	if dpkg --compare-versions "$(shell grep DISTRIB_RELEASE /etc/lsb-release | cut -d= -f2)" lt "13.10"; then \
		sed -i "s/^\( *\)\(dbus.*,\)/\\1#\\2/g" debian/tmp/etc/apparmor.d/usr.sbin.libvirtd; \
		sed -i "s/^\( *\)\(dbus.*,\)/\\1#\\2/g" debian/tmp/etc/apparmor.d/abstractions/libvirt-lxc; \
		sed -i "s/^\( *\)\(dbus.*,\)/\\1#\\2/g" debian/tmp/etc/apparmor.d/abstractions/libvirt-qemu; \
	fi
	if dpkg --compare-versions "$(shell grep DISTRIB_RELEASE /etc/lsb-release | cut -d= -f2)" lt "14.04"; then \
		sed -i "s/^\( *\)\(signal.*,\)/\\1#\\2/g" debian/tmp/etc/apparmor.d/usr.sbin.libvirtd; \
		sed -i "s/^\( *\)\(signal.*,\)/\\1#\\2/g" debian/tmp/etc/apparmor.d/abstractions/libvirt-qemu; \
		sed -i "s/^\( *\)\(signal.*,\)/\\1#\\2/g" debian/tmp/etc/apparmor.d/abstractions/libvirt-lxc; \
		sed -i "s/^\( *\)\(ptrace.*,\)/\\1#\\2/g" debian/tmp/etc/apparmor.d/usr.sbin.libvirtd; \
		sed -i "s/^\( *\)\(ptrace.*,\)/\\1#\\2/g" debian/tmp/etc/apparmor.d/abstractions/libvirt-qemu; \
