=== debian/tests/control ===
Tests: smoke
Depends: @
Restrictions: allow-stderr

Tests: build-test
Depends: libvirt-dev, build-essential, pkg-config
Restrictions: allow-stderr
