## libvirt 2.1.0

=== debian/changelog ===
libvirt (2.1.0-1ubuntu9.5) yakkety; urgency=medium

  * Add missing apparmor profile entries (LP: #1680384)
    - debian/patches/ubuntu/apparmor-vfio.patch: apparmor: add /dev/vfio
      for vf (hot) attach
    - debian/patches/ubuntu/apparmor-shutdown.patch: apparmor: allow to
      parse cmdline of the pid that send the shutdown signal

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 26 Apr 2017 13:46:42 +0200

libvirt (2.1.0-1ubuntu9.4) yakkety; urgency=medium

  * no change rebuild to properly pick up all the changes since the last
    release to yakkety-updates.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 31 Mar 2017 07:48:25 +0200

libvirt (2.1.0-1ubuntu9.3) yakkety; urgency=medium

  * d/p/ubuntu/qemu-Allow-empty-script-path-to-interface.patch: in the past
    <script path=''/> meant a no-op, but libvirt now fails - fix to match
    the old behavior (LP: #1665698).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 21 Mar 2017 09:16:57 +0100

libvirt (2.1.0-1ubuntu9.2) yakkety; urgency=medium

  * d/p/ubuntu/fix-command-generation-for-rbd.patch: fix the generation
    of the command used to add disks when secrets are provided like when
    using rbd (LP: #1672367).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 14 Mar 2017 14:12:51 +0100

libvirt (2.1.0-1ubuntu9.1) yakkety; urgency=medium

  * d/p/u/apparmor-fix-other-seclabels.patch fixes an issue parsing non
    apparmor security labels (LP: #1633207).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 01 Dec 2016 09:44:12 +0100

libvirt (2.1.0-1ubuntu9) yakkety; urgency=medium

  * Fix libvirt-guest.sh to handle multiple guests (LP: #1591695).

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 06 Oct 2016 12:14:05 +0200

libvirt (2.1.0-1ubuntu8) yakkety; urgency=medium

  [ Christian Ehrhardt ]

  * avoid migration postcopy issues by ensuring valid commands (LP: #1620906)
    - d/p/ubuntu/check-live-for-postcopy.patch Check for --live flag for
      postcopy-after-precopy migration.
    - d/p/ubuntu/make-postcopy-mandatory-for-postcopy-after-precopy.patch to

  [ Stefan Bader ]

  * Fix Xenial to Yakkety migration from libvirt-bin.service to
    libvirtd.service (LP: #1627969).
  * Update Vcs-Git and Vcs-Browser fields to point to launchpad
    (LP: #1629210)

  [ Dann Frazier ]

  * Fix FTBS in Yakkety due to missing python dependency (LP: #1629041)

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 30 Sep 2016 10:11:30 +0200

libvirt (2.1.0-1ubuntu7) yakkety; urgency=medium

  * Enable NUMA support in arm64 builds (LP: #1627926).

 -- dann frazier <dannf@ubuntu.com>  Mon, 26 Sep 2016 23:36:24 -0600

libvirt (2.1.0-1ubuntu6) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:05:33 +0000

libvirt (2.1.0-1ubuntu5) yakkety; urgency=medium

  [ Jon Grimm ]

  * Fix libvirt start failure when security_driver set (LP: #1618592)
    - qemu: fix qemu.conf security_driver

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 08 Sep 2016 14:11:47 +0200

libvirt (2.1.0-1ubuntu4) yakkety; urgency=medium

  * Enable systemtap, zfs, numa on s390x.
  * Enable systemtap on ppc64el.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 24 Aug 2016 13:21:29 +0100

libvirt (2.1.0-1ubuntu3) yakkety; urgency=low

  * Really fix the ADT regression and not only the changelog due
    to somehow ending up on the wrong git branch.

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 17 Aug 2016 18:31:01 +0200

libvirt (2.1.0-1ubuntu2) yakkety; urgency=low

  * Fix ADT build-test regression(s)

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 17 Aug 2016 15:18:38 +0200

libvirt (2.1.0-1ubuntu1) yakkety; urgency=low

  * Merged with Debian testing. Remaining changes:
    - Added changes to use the upstream apparmor profiles with added
      delta (configurable via apparmor profiles version).
      * d/p/u/0001-apparmor-add-feature-parsing.patch
      * d/p/u/0002-apparmor-apply-ubuntu-delta.patch
      * d/p/u/0003-apparmor-debian-ubuntu-delta.patch
      * d/p/u/0004-apparmor-ubuntu-delta.patch
    - Avoiding dependency on sheepdog
    - Additional apport package-hook
    - Additional dnsmasq configuration
    - Additional profile.d script to set default URI
    - Additional debian/bug-presubj
    - d/rules: debhelper start virtlogd.socket not virtlockd.service
    - Modifications to adapt for our delayed switch away from libvirt-bin.
    - Wait on socket in sysvinit script
    - Backwards compatible handling of groups and default bridged network
      creation.
    - Extended handling of apparmor profiles
    - Convert libvirt0 and libvirt-dev to multi-arch.
    - Added a fix for the upstream version of adding better write denials
      handling to virt-aa-helper.
    - Convert libnss_libvirt to multi-arch and fix up source location that
      changed when making libvirt0 multi-arch.
    - Dropped
      * upstart script for libvirtd
      * d/p/lp1588841-000[123]-* (upstream)
      * d/p/u/qemu-Add-virQEMUCapsSupportsGICVersion.patch (upstream)
      * d/p/u/qemu-Automatically-choose-usable-GIC-version.patch (upstream)
      * d/p/u/docs-remove-xpath.patch (xpath removed upstream)
      * d/p/u/preup-virt-aa-helper-better-write-denials-handling.patch (upstr.)
      * d/p/u/ubuntu/virt-aa-helper-helpfix.patch (upstream)

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 13 Jul 2016 13:12:36 +0200

libvirt (2.1.0-1) unstable; urgency=medium

  * Upload to unstable
  * [f7ed747] New upstream version 2.1.0

 -- Guido Günther <agx@sigxcpu.org>  Wed, 03 Aug 2016 17:13:25 +0200

libvirt (2.1.0~rc1-1) experimental; urgency=medium

  * [8efff86] Ship virt-admin
  * [8e2f085] Ship libvirt nss plugin build for IP resolution of virtual
    machines
  * [ad4f7ff] New upstream version 2.1.0~rc1
  * [86c9db9] Rediff patches
  * [72d0ef5] Bump symbol versions


