## libvirt 2.1.0-1ubuntu9.5+8.0trisquel2

=== debian/changelog ===
libvirt (2.1.0-1ubuntu9.5+8.0trisquel2) flidas; urgency=medium

  * Backported from yakkety, disabled zfs integration

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 16 Jun 2017 21:47:25 +0000
