=== debian/control ===
--- 
+++ 
@@ -54,7 +54,6 @@
 # for --with-storage-rados
  librbd-dev [linux-any],
  librados-dev [linux-any],
- zfsutils-linux [amd64 arm64 ppc64el s390x],
 # for lxc fuse support
  libfuse-dev [linux-any],
 # for libssh2 connection URIs
