=== debian/rules ===
#!/usr/bin/make -f

DEB_RELEASE=$(shell dpkg-parsechangelog -SVersion | sed 's/[^-]\+-//')
DEB_BUILDDATE=$(shell dpkg-parsechangelog -SDate)
DEB_BUILDUSER=$(shell dpkg-parsechangelog -SMaintainer)

ifneq (,$(findstring $(DEB_HOST_ARCH_OS), linux))
  ifneq (,$(findstring $(DEB_HOST_ARCH), i386 amd64))
    WITH_VBOX         = --with-vbox
    MAKE_CHECK        = 1
  else
    WITH_VBOX         = --without-vbox
  endif
  ifneq (,$(findstring $(DEB_HOST_ARCH), i386 amd64 armhf arm64))
    WITH_XEN          = --with-xen
    WITH_LIBXL        = --with-libxl
    XEN_ENABLED       = 1
  else
    WITH_XEN          = --without-xen
    WITH_LIBXL        = --without-libxl
  endif
  WITH_STORAGE_LVM    = --with-storage-lvm
  WITH_STORAGE_ISCSI  = --with-storage-iscsi
  WITH_STORAGE_DISK   =	--with-storage-disk
  WITH_STORAGE_SHEEPDOG = --with-storage-sheepdog
  WITH_STORAGE_RBD    = --with-storage-rbd
  ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 ppc64el s390x))
    WITH_ZFS          = --without-storage-zfs
  else
    WITH_ZFS          = --without-storage-zfs
  endif
  WITH_UDEV           = --with-udev
  WITH_CAPNG          = --with-capng
  WITH_MACVTAP        = --with-macvtap
  WITH_NETWORK        = --with-network
  WITH_OPENVZ         = --with-openvz
  WITH_NETCF          = --with-netcf
  WITH_SANLOCK        = --with-sanlock
  WITH_INIT_SCRIPT    =	--with-init-script=systemd
  WITH_SYSTEMD        = --with-systemd-daemon
  WITH_FIREWALLD      = --without-firewalld
  WITH_AUDIT          = --with-audit
  WITH_SELINUX        = --without-selinux
  WITH_APPARMOR       = --with-apparmor --with-secdriver-apparmor --with-apparmor-profiles
  ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 armel armhf i386 ia64 powerpc ppc64el s390 s390x))
      WITH_DTRACE     = --with-dtrace
  else
      WITH_DTRACE     = --without-dtrace
  endif
  ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 i386 ia64 mips mipsel powerpc ppc64el s390x))
      WITH_NUMA       = --with-numactl
  else
      WITH_NUMA       = --without-numactl
  endif
  ifneq (,$(findstring $(DEB_HOST_ARCH), ia64))
      WITH_LXC        = --without-lxc
  else
      WITH_LXC        = --with-lxc
  endif
else
  WITH_STORAGE_LVM    = --without-storage-lvm
  WITH_STORAGE_ISCSI  = --without-storage-iscsi
  WITH_STORAGE_DISK   =	--without-storage-disk
  WITH_STORAGE_SHEEPDOG = --without-storage-sheepdog
  WITH_STORAGE_RBD    = --without-storage-rbd
  WITH_UDEV           = --without-udev
  WITH_CAPNG          = --without-capng
  WITH_MACVTAP        = --without-macvtap
  WITH_NETWORK        = --without-network
  WITH_LXC            = --without-lxc
  WITH_NUMA           = --without-numactl
  WITH_NETCF          = --without-netcf
  WITH_INIT_SCRIPT    =	--with-init-script=none
  WITH_SYSTEMD        = --without-systemd-daemon
  WITH_FIREWALLD      = --without-firewalld
  WITH_AUDIT          = --without-audit
  WITH_SELINUX        = --without-selinux
  WITH_APPARMOR       = --without-apparmor
  WITH_DTRACE         = --without-dtrace
  WITH_XEN            = --without-xen
  WITH_LIBXL          = --without-libxl
  WITH_VBOX           = --without-vbox
endif

DEB_CONFIGURE_EXTRA_ARGS :=      \
	--with-packager="$(DEB_BUILDUSER) $(DEB_BUILDDATE)" \
	--with-packager-version="$(DEB_RELEASE)" \
	--with-default-editor="sensible-editor" \
	--disable-silent-rules   \
	--disable-rpath          \
	--with-qemu		 \
	--with-qemu-user=libvirt-qemu  \
	--with-qemu-group=kvm \
	$(WITH_OPENVZ)		 \
	--with-avahi             \
	--with-sasl              \
	--with-yajl              \
	--without-ssh2		 \
	--with-polkit		 \
	$(WITH_UDEV)		 \
	--with-storage-fs        \
	$(WITH_ZFS)		 \
	$(WITH_STORAGE_LVM)	 \
	$(WITH_STORAGE_ISCSI)	 \
	$(WITH_STORAGE_DISK)	 \
	$(WITH_STORAGE_SHEEPDOG) \
	$(WITH_STORAGE_RBD)      \
	$(WITH_INIT_SCRIPT)      \
	$(WITH_NUMA)             \
	$(WITH_SELINUX)          \
	$(WITH_APPARMOR)         \
	--with-esx		 \
	--without-phyp           \
	$(WITH_CAPNG)		 \
	--enable-debug		 \
	$(WITH_MACVTAP)		 \
	$(WITH_NETWORK)		 \
	$(WITH_NETCF)		 \
	$(WITH_XEN)		 \
	$(WITH_LIBXL)		 \
	$(WITH_VBOX)		 \
	$(WITH_LXC)              \
	$(WITH_DTRACE)           \
	$(WITH_AUDIT)            \
	--without-hal            \
	$(WITH_FIREWALLD)        \
	--without-attr           \
        --with-nss-plugin        \
        $(NULL)

DEB_BUILDDIR := $(CURDIR)/debian/build
LOGROTATE = $(basename $(basename $(notdir $(wildcard daemon/libvirtd*.logrotate.in))))
EXAMPLES_DIR = $(CURDIR)/debian/libvirt-doc/usr/share/doc/libvirt-doc/examples/

# If we are building on/for a newer release, then we will
# (in override_dh_install-arch) keep more of the newer rules and therefore
# require a newer apparmor.
# We check versions in increasing order so we end up with the strictest
# applicable requirement.
APPARMOR_REQ = -V'dist:Conflicts='
ifeq ($(shell dpkg --compare-versions "$(shell grep DISTRIB_RELEASE /etc/lsb-release | cut -d= -f2)" ge "14.04" && echo "yes"),yes)
	APPARMOR_REQ = -V'dist:Conflicts=apparmor (<< 2.8.95~2430-0ubuntu4)'
endif
ifeq ($(shell grep DISTRIB_RELEASE /etc/lsb-release | cut -d= -f2),14.04)
	DEB_CONFIGURE_EXTRA_ARGS += --with-apparmor-profiles-version=2.9
endif
ifeq ($(shell dpkg --compare-versions "$(shell grep DISTRIB_RELEASE /etc/lsb-release | cut -d= -f2)" ge "14.10" && echo "yes"),yes)
	APPARMOR_REQ = -V'dist:Conflicts=apparmor (<< 2.8.96~2652-0ubuntu1)'
endif

%:
	dh $@ --builddirectory=$(DEB_BUILDDIR) --parallel --with autoreconf

override_dh_auto_configure:
	SHEEPDOGCLI="/usr/sbin/collie" \
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_ARGS)
	mkdir -p debian/build/docs/internals

override_dh_auto_test:
	export LD_PRELOAD="";     \
	export VIR_TEST_DEBUG=1;  \
	[ -n "$(MAKE_CHECK)" ] || exit 0; \
	if ! dh_auto_test -O--builddirectory=$(DEB_BUILDDIR); then \
	    cat ./debian/build/gnulib/tests/test-suite.log \
	        ./debian/build/tests/test-suite.log; \
	    exit 1; \
	fi

override_dh_install-arch:
	mkdir -p debian/tmp/usr/share/apport/package-hooks
	cp -f debian/libvirt-daemon.apport \
	      debian/tmp/usr/share/apport/package-hooks/source_libvirt.py
	# copy dnsmasq configuration
	mkdir -p debian/tmp/etc/dnsmasq.d-available
	cp debian/libvirt-daemon.dnsmasq \
	   debian/tmp/etc/dnsmasq.d-available/libvirt-daemon
	# Add profile script to automatically set default URI
	mkdir -p debian/tmp/etc/profile.d
	cp -f debian/libvirt-uri.sh debian/tmp/etc/profile.d/
	# Multiarch:
	# don't configure with --libdir, but move the files manually, because
	# we don't want to change other places in /usr/lib/
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/lib/lib*a \
	   debian/tmp/usr/lib/lib*.so* \
	   debian/tmp/usr/lib/pkgconfig \
	   debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)

	dh_install

	# Copy upstream files to debian/ so dh_* can find them
	cp debian/tmp/usr/lib/libvirt/libvirt-guests.sh \
	    debian/libvirt-daemon-system.libvirt-guests.init
	cp tools/libvirt-guests.sysconf \
	    debian/libvirt-daemon-system.libvirt-guests.default
	cp src/logging/virtlogd.sysconf \
	    debian/libvirt-daemon-system.virtlogd.default
	# Add our backward compat polkit rule
	cp debian/polkit/60-libvirt.pkla \
	    debian/libvirt-daemon-system/var/lib/polkit-1/localauthority/10-vendor.d/
ifneq (,$(findstring $(DEB_HOST_ARCH_OS), linux))
	# Linux supports more nice things:
	dh_install -p libvirt-daemon-system usr/lib/systemd/system lib/systemd/
	dh_install -p libvirt-daemon-system usr/lib/libvirt/virt-aa-helper
	dh_install -p libvirt-daemon-system etc/apparmor.d
	dh_apparmor -p libvirt-daemon-system --profile-name=usr.lib.libvirt.virt-aa-helper
	dh_apparmor -p libvirt-daemon-system --profile-name=usr.sbin.libvirtd
	# Not all linux arches have systemtap yet
	mkdir -p debian/tmp/usr/share/systemtap
	dh_install -p libvirt-daemon-system usr/share/systemtap
	dh_install -p libvirt-daemon-system etc/libvirt/lxc.conf
	dh_install -p libvirt-daemon-system etc/libvirt/qemu-sanlock.conf
	dh_install -p libvirt-daemon-system etc/libvirt/qemu/networks/
